"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getPackageInfo = void 0;
const js_yaml_1 = require("js-yaml");
const path = require("path");
const fs = require("fs");
const fileutils_1 = require("@nrwl/workspace/src/utils/fileutils");
function getPackageInfo(projectRoot) {
    if (fileutils_1.fileExists(path.join(projectRoot, 'pubspec.yaml'))) { //flutterproject
        const packageFile = path.join(projectRoot, 'pubspec.yaml');
        const pubspec = js_yaml_1.load(fs.readFileSync(packageFile, 'utf8'));
        const dependencies = [];
        Object.keys(Object.assign({}, pubspec.dependencies, pubspec.dev_dependencies)).forEach(depId => {
            dependencies.push({ packageId: depId, packageFile });
        });
        return { packageId: pubspec.name, packageFile: 'pubspec.yaml', dependencies: dependencies };
    }
    throw new Error(`Cannot inspect dependencies of Flutter projet at: '${projectRoot}'.\n` +
        `No 'pubspec.yaml' was found.`);
}
exports.getPackageInfo = getPackageInfo;
//# sourceMappingURL=deps-utils.js.map